## com.bbn.openmap.dataAccess.shape
Class EsriGraphicFactory

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.EsriGraphicFactory

All Implemented Interfaces:
  ShapeConstants

public class EsriGraphicFactory
extends java.lang.Object
implements ShapeConstants

Nested Class Summary
`static class` `EsriGraphicFactory.Header`
`static class` `EsriGraphicFactory.ReadByteTracker`

Field Summary
`protected GeoCoordTransformation` `dataTransformation`
`protected int` `lineType`
`static java.util.logging.Logger` `logger`
`protected java.lang.Class` `precision`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants

`DBF_ATTRIBUTE, DBF_CHARACTER, DBF_DATE, DBF_LOGICAL, DBF_MEMO, DBF_NUMERIC, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_LOGICAL, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Constructor Summary
`EsriGraphicFactory()`
`EsriGraphicFactory(int lineType, GeoCoordTransformation dataTransformation)`

Method Summary
`static EsriGraphicList` `createEsriGraphicList(int shapeType)`
`protected EsriGraphic` `createEsriPoly(int shapeType, double[] coords, int lineType)` unimplemented until 4.7
`static EsriGraphic` `createEsriPoly(int shapeType, float[] coords, int lineType, DrawingAttributes da)`
`protected EsriGraphic` `createMultiPointGraphic(BinaryFile shpFile, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createMultiPointGraphic(LittleEndianInputStream iStream, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createMultiPointMGraphic(BinaryFile shpFile, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createMultiPointMGraphic(LittleEndianInputStream iStream, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createMultiPointZGraphic(BinaryFile shpFile, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createMultiPointZGraphic(LittleEndianInputStream iStream, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPointGraphic(BinaryFile shpFile, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)` Reads the ShapeFile and creates a OMPoint/OMRaster/OMText from the point object.
`protected EsriGraphic` `createPointGraphic(double x, double y, java.lang.Object representation, DrawingAttributes drawingAttributes)`
`protected EsriGraphic` `createPointGraphic(LittleEndianInputStream iStream, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPointMGraphic(BinaryFile shpFile, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPointMGraphic(LittleEndianInputStream iStream, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPointZGraphic(BinaryFile shpFile, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPointZGraphic(LittleEndianInputStream iStream, java.lang.Object representation, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolygonGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolygonGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolygonMGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolygonMGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolygonZGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolygonZGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolyGraphic(BinaryFile shpFile, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolyGraphic(LittleEndianInputStream iStream, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolylineGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolylineGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolylineMGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolylineMGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolylineZGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolylineZGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolyMGraphic(BinaryFile shpFile, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolyMGraphic(LittleEndianInputStream iStream, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolyZGraphic(BinaryFile shpFile, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `createPolyZGraphic(LittleEndianInputStream iStream, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected static double[]` `getCoords(BinaryFile shpFile, int length, boolean isPolygon, GeoCoordTransformation dataTrans, EsriGraphicFactory.ReadByteTracker bitTracker)`
`protected static double[]` `getCoords(LittleEndianInputStream iStream, int length, boolean isPolygon, GeoCoordTransformation dataTrans, EsriGraphicFactory.ReadByteTracker bitTracker)`
`GeoCoordTransformation` `getDataCoordTransformation()`
`OMGraphicList` `getEsriGraphics(BinaryFile shp, DrawingAttributes drawingAttributes, java.lang.Object pointRepresentation, Projection mapProj, OMGraphicList list)`
`OMGraphicList` `getEsriGraphics(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, java.lang.Object pointRepresentation, Projection mapProj, OMGraphicList list)`
`protected static float[]` `getFloatCoords(BinaryFile shpFile, int length, boolean isPolygon, GeoCoordTransformation dataTrans, EsriGraphicFactory.ReadByteTracker bitTracker)`
`protected static float[]` `getFloatCoords(LittleEndianInputStream iStream, int length, boolean isPolygon, GeoCoordTransformation dataTrans, EsriGraphicFactory.ReadByteTracker bitTracker)`
`int` `getLineType()`
`protected EsriGraphic` `getPolys(BinaryFile shpFile, int numParts, int numPoints, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected EsriGraphic` `getPolys(LittleEndianInputStream iStream, int numParts, int numPoints, int shapeType, DrawingAttributes drawingAttributes, EsriGraphicFactory.ReadByteTracker byteTracker)`
`java.lang.Class` `getPrecision()`
`static boolean` `isPolygon(int shapeType)`
`protected OMGraphic` `makeEsriGraphic(BinaryFile shpFile, DrawingAttributes drawingAttributes, java.lang.Object pointRepresentation, EsriGraphicFactory.ReadByteTracker byteTracker)` Creates a OMGraphic from the shape file data.
`protected OMGraphic` `makeEsriGraphic(LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, java.lang.Object pointRepresentation, EsriGraphicFactory.ReadByteTracker byteTracker)` Creates a OMGraphic from the shape file data.
`OMGraphic` `makeEsriGraphicFromRecord(int byteOffset, BinaryFile shp, DrawingAttributes drawingAttributes, java.lang.Object pointRepresentation, EsriGraphicFactory.ReadByteTracker byteTracker)`
`OMGraphic` `makeEsriGraphicFromRecord(int byteOffset, LittleEndianInputStream iStream, DrawingAttributes drawingAttributes, java.lang.Object pointRepresentation, EsriGraphicFactory.ReadByteTracker byteTracker)`
`protected void` `projGraphicAndAdd(OMGraphic eg, OMGraphicList list, Projection mapProj)`
`void` `setDataCoordTransformation(GeoCoordTransformation dataTrans)`
`void` `setLineType(int lineType)`
`void` `setPrecision(java.lang.Class precision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static java.util.logging.Logger logger

### lineType

    protected int lineType

### dataTransformation

    protected GeoCoordTransformation dataTransformation

### precision

    protected java.lang.Class precision

Constructor Detail

### EsriGraphicFactory

    public EsriGraphicFactory()

### EsriGraphicFactory

    public EsriGraphicFactory(int lineType,
                              GeoCoordTransformation dataTransformation)

Method Detail

### getEsriGraphics

    public OMGraphicList getEsriGraphics(BinaryFile shp,
                                         DrawingAttributes drawingAttributes,
                                         java.lang.Object pointRepresentation,
                                         Projection mapProj,
                                         OMGraphicList list)
                                  throws java.io.IOException,
                                         FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getEsriGraphics

    public OMGraphicList getEsriGraphics(LittleEndianInputStream iStream,
                                         DrawingAttributes drawingAttributes,
                                         java.lang.Object pointRepresentation,
                                         Projection mapProj,
                                         OMGraphicList list)
                                  throws java.io.IOException,
                                         FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### projGraphicAndAdd

    protected void projGraphicAndAdd(OMGraphic eg,
                                     OMGraphicList list,
                                     Projection mapProj)

### makeEsriGraphicFromRecord

    public OMGraphic makeEsriGraphicFromRecord(int byteOffset,
                                               BinaryFile shp,
                                               DrawingAttributes drawingAttributes,
                                               java.lang.Object pointRepresentation,
                                               EsriGraphicFactory.ReadByteTracker byteTracker)
                                        throws java.io.IOException,
                                               FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### makeEsriGraphicFromRecord

    public OMGraphic makeEsriGraphicFromRecord(int byteOffset,
                                               LittleEndianInputStream iStream,
                                               DrawingAttributes drawingAttributes,
                                               java.lang.Object pointRepresentation,
                                               EsriGraphicFactory.ReadByteTracker byteTracker)
                                        throws java.io.IOException,
                                               FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### makeEsriGraphic

    protected OMGraphic makeEsriGraphic(BinaryFile shpFile,
                                        DrawingAttributes drawingAttributes,
                                        java.lang.Object pointRepresentation,
                                        EsriGraphicFactory.ReadByteTracker byteTracker)
                                 throws java.io.IOException,
                                        FormatException

  Creates a OMGraphic from the shape file data.

  Throws:
    `java.io.IOException` - if something goes wrong reading the file
    `FormatException`
  See Also:
    `ShapeUtils`

### makeEsriGraphic

    protected OMGraphic makeEsriGraphic(LittleEndianInputStream iStream,
                                        DrawingAttributes drawingAttributes,
                                        java.lang.Object pointRepresentation,
                                        EsriGraphicFactory.ReadByteTracker byteTracker)
                                 throws java.io.IOException,
                                        FormatException

  Creates a OMGraphic from the shape file data.

  Throws:
    `java.io.IOException` - if something goes wrong reading the file
    `FormatException`
  See Also:
    `ShapeUtils`

### createPointGraphic

    protected EsriGraphic createPointGraphic(double x,
                                             double y,
                                             java.lang.Object representation,
                                             DrawingAttributes drawingAttributes)

### createPointGraphic

    protected EsriGraphic createPointGraphic(BinaryFile shpFile,
                                             java.lang.Object representation,
                                             DrawingAttributes drawingAttributes,
                                             EsriGraphicFactory.ReadByteTracker byteTracker)
                                      throws java.io.IOException,
                                             FormatException

  Reads the ShapeFile and creates a OMPoint/OMRaster/OMText from the point object.

  Parameters:
    `shpFile` - with the file pointer right after the shape record shape type bytes. It's assumed that the shape type has been read to determine that the shapeType for this record is a Point record.
    `representation` - The object to use for representing the Point. If the object is an ImageIcon, that image is used for a scaling icon at this point. If it's a String, and OMText will be created for that Point (center-justified). If it's null, the drawing attributes values will be used for an OMPoint.
    `drawingAttributes` - the attributes for the OMGraphic.
    `byteTracker` -
  Returns:
    OMPoint or OMScalingRaster or OMText
  Throws:
    `java.io.IOException`
    `FormatException`

### createPointGraphic

    protected EsriGraphic createPointGraphic(LittleEndianInputStream iStream,
                                             java.lang.Object representation,
                                             DrawingAttributes drawingAttributes,
                                             EsriGraphicFactory.ReadByteTracker byteTracker)
                                      throws java.io.IOException,
                                             FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createMultiPointGraphic

    protected EsriGraphic createMultiPointGraphic(BinaryFile shpFile,
                                                  java.lang.Object representation,
                                                  DrawingAttributes drawingAttributes,
                                                  EsriGraphicFactory.ReadByteTracker byteTracker)
                                           throws java.io.IOException,
                                                  FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createMultiPointGraphic

    protected EsriGraphic createMultiPointGraphic(LittleEndianInputStream iStream,
                                                  java.lang.Object representation,
                                                  DrawingAttributes drawingAttributes,
                                                  EsriGraphicFactory.ReadByteTracker byteTracker)
                                           throws java.io.IOException,
                                                  FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPointZGraphic

    protected EsriGraphic createPointZGraphic(BinaryFile shpFile,
                                              java.lang.Object representation,
                                              DrawingAttributes drawingAttributes,
                                              EsriGraphicFactory.ReadByteTracker byteTracker)
                                       throws java.io.IOException,
                                              FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPointZGraphic

    protected EsriGraphic createPointZGraphic(LittleEndianInputStream iStream,
                                              java.lang.Object representation,
                                              DrawingAttributes drawingAttributes,
                                              EsriGraphicFactory.ReadByteTracker byteTracker)
                                       throws java.io.IOException,
                                              FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createMultiPointZGraphic

    protected EsriGraphic createMultiPointZGraphic(BinaryFile shpFile,
                                                   java.lang.Object representation,
                                                   DrawingAttributes drawingAttributes,
                                                   EsriGraphicFactory.ReadByteTracker byteTracker)
                                            throws java.io.IOException,
                                                   FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createMultiPointZGraphic

    protected EsriGraphic createMultiPointZGraphic(LittleEndianInputStream iStream,
                                                   java.lang.Object representation,
                                                   DrawingAttributes drawingAttributes,
                                                   EsriGraphicFactory.ReadByteTracker byteTracker)
                                            throws java.io.IOException,
                                                   FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPointMGraphic

    protected EsriGraphic createPointMGraphic(BinaryFile shpFile,
                                              java.lang.Object representation,
                                              DrawingAttributes drawingAttributes,
                                              EsriGraphicFactory.ReadByteTracker byteTracker)
                                       throws java.io.IOException,
                                              FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPointMGraphic

    protected EsriGraphic createPointMGraphic(LittleEndianInputStream iStream,
                                              java.lang.Object representation,
                                              DrawingAttributes drawingAttributes,
                                              EsriGraphicFactory.ReadByteTracker byteTracker)
                                       throws java.io.IOException,
                                              FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createMultiPointMGraphic

    protected EsriGraphic createMultiPointMGraphic(BinaryFile shpFile,
                                                   java.lang.Object representation,
                                                   DrawingAttributes drawingAttributes,
                                                   EsriGraphicFactory.ReadByteTracker byteTracker)
                                            throws java.io.IOException,
                                                   FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createMultiPointMGraphic

    protected EsriGraphic createMultiPointMGraphic(LittleEndianInputStream iStream,
                                                   java.lang.Object representation,
                                                   DrawingAttributes drawingAttributes,
                                                   EsriGraphicFactory.ReadByteTracker byteTracker)
                                            throws java.io.IOException,
                                                   FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolygonGraphic

    protected EsriGraphic createPolygonGraphic(BinaryFile shpFile,
                                               DrawingAttributes drawingAttributes,
                                               EsriGraphicFactory.ReadByteTracker byteTracker)
                                        throws java.io.IOException,
                                               FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolygonGraphic

    protected EsriGraphic createPolygonGraphic(LittleEndianInputStream iStream,
                                               DrawingAttributes drawingAttributes,
                                               EsriGraphicFactory.ReadByteTracker byteTracker)
                                        throws java.io.IOException,
                                               FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolylineGraphic

    protected EsriGraphic createPolylineGraphic(BinaryFile shpFile,
                                                DrawingAttributes drawingAttributes,
                                                EsriGraphicFactory.ReadByteTracker byteTracker)
                                         throws java.io.IOException,
                                                FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolylineGraphic

    protected EsriGraphic createPolylineGraphic(LittleEndianInputStream iStream,
                                                DrawingAttributes drawingAttributes,
                                                EsriGraphicFactory.ReadByteTracker byteTracker)
                                         throws java.io.IOException,
                                                FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolyGraphic

    protected EsriGraphic createPolyGraphic(BinaryFile shpFile,
                                            int shapeType,
                                            DrawingAttributes drawingAttributes,
                                            EsriGraphicFactory.ReadByteTracker byteTracker)
                                     throws java.io.IOException,
                                            FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolyGraphic

    protected EsriGraphic createPolyGraphic(LittleEndianInputStream iStream,
                                            int shapeType,
                                            DrawingAttributes drawingAttributes,
                                            EsriGraphicFactory.ReadByteTracker byteTracker)
                                     throws java.io.IOException,
                                            FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolygonZGraphic

    protected EsriGraphic createPolygonZGraphic(BinaryFile shpFile,
                                                DrawingAttributes drawingAttributes,
                                                EsriGraphicFactory.ReadByteTracker byteTracker)
                                         throws java.io.IOException,
                                                FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolygonZGraphic

    protected EsriGraphic createPolygonZGraphic(LittleEndianInputStream iStream,
                                                DrawingAttributes drawingAttributes,
                                                EsriGraphicFactory.ReadByteTracker byteTracker)
                                         throws java.io.IOException,
                                                FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolylineZGraphic

    protected EsriGraphic createPolylineZGraphic(BinaryFile shpFile,
                                                 DrawingAttributes drawingAttributes,
                                                 EsriGraphicFactory.ReadByteTracker byteTracker)
                                          throws java.io.IOException,
                                                 FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolylineZGraphic

    protected EsriGraphic createPolylineZGraphic(LittleEndianInputStream iStream,
                                                 DrawingAttributes drawingAttributes,
                                                 EsriGraphicFactory.ReadByteTracker byteTracker)
                                          throws java.io.IOException,
                                                 FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolyZGraphic

    protected EsriGraphic createPolyZGraphic(BinaryFile shpFile,
                                             int shapeType,
                                             DrawingAttributes drawingAttributes,
                                             EsriGraphicFactory.ReadByteTracker byteTracker)
                                      throws java.io.IOException,
                                             FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolyZGraphic

    protected EsriGraphic createPolyZGraphic(LittleEndianInputStream iStream,
                                             int shapeType,
                                             DrawingAttributes drawingAttributes,
                                             EsriGraphicFactory.ReadByteTracker byteTracker)
                                      throws java.io.IOException,
                                             FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolygonMGraphic

    protected EsriGraphic createPolygonMGraphic(BinaryFile shpFile,
                                                DrawingAttributes drawingAttributes,
                                                EsriGraphicFactory.ReadByteTracker byteTracker)
                                         throws java.io.IOException,
                                                FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolygonMGraphic

    protected EsriGraphic createPolygonMGraphic(LittleEndianInputStream iStream,
                                                DrawingAttributes drawingAttributes,
                                                EsriGraphicFactory.ReadByteTracker byteTracker)
                                         throws java.io.IOException,
                                                FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolylineMGraphic

    protected EsriGraphic createPolylineMGraphic(BinaryFile shpFile,
                                                 DrawingAttributes drawingAttributes,
                                                 EsriGraphicFactory.ReadByteTracker byteTracker)
                                          throws java.io.IOException,
                                                 FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolylineMGraphic

    protected EsriGraphic createPolylineMGraphic(LittleEndianInputStream iStream,
                                                 DrawingAttributes drawingAttributes,
                                                 EsriGraphicFactory.ReadByteTracker byteTracker)
                                          throws java.io.IOException,
                                                 FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolyMGraphic

    protected EsriGraphic createPolyMGraphic(BinaryFile shpFile,
                                             int shapeType,
                                             DrawingAttributes drawingAttributes,
                                             EsriGraphicFactory.ReadByteTracker byteTracker)
                                      throws java.io.IOException,
                                             FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### createPolyMGraphic

    protected EsriGraphic createPolyMGraphic(LittleEndianInputStream iStream,
                                             int shapeType,
                                             DrawingAttributes drawingAttributes,
                                             EsriGraphicFactory.ReadByteTracker byteTracker)
                                      throws java.io.IOException,
                                             FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getPolys

    protected EsriGraphic getPolys(BinaryFile shpFile,
                                   int numParts,
                                   int numPoints,
                                   int shapeType,
                                   DrawingAttributes drawingAttributes,
                                   EsriGraphicFactory.ReadByteTracker byteTracker)
                            throws java.io.IOException,
                                   FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getPolys

    protected EsriGraphic getPolys(LittleEndianInputStream iStream,
                                   int numParts,
                                   int numPoints,
                                   int shapeType,
                                   DrawingAttributes drawingAttributes,
                                   EsriGraphicFactory.ReadByteTracker byteTracker)
                            throws java.io.IOException,
                                   FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getFloatCoords

    protected static float[] getFloatCoords(BinaryFile shpFile,
                                            int length,
                                            boolean isPolygon,
                                            GeoCoordTransformation dataTrans,
                                            EsriGraphicFactory.ReadByteTracker bitTracker)
                                     throws java.io.IOException,
                                            FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getFloatCoords

    protected static float[] getFloatCoords(LittleEndianInputStream iStream,
                                            int length,
                                            boolean isPolygon,
                                            GeoCoordTransformation dataTrans,
                                            EsriGraphicFactory.ReadByteTracker bitTracker)
                                     throws java.io.IOException,
                                            FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getCoords

    protected static double[] getCoords(BinaryFile shpFile,
                                        int length,
                                        boolean isPolygon,
                                        GeoCoordTransformation dataTrans,
                                        EsriGraphicFactory.ReadByteTracker bitTracker)
                                 throws java.io.IOException,
                                        FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### getCoords

    protected static double[] getCoords(LittleEndianInputStream iStream,
                                        int length,
                                        boolean isPolygon,
                                        GeoCoordTransformation dataTrans,
                                        EsriGraphicFactory.ReadByteTracker bitTracker)
                                 throws java.io.IOException,
                                        FormatException

  Throws:
    `java.io.IOException`
    `FormatException`

### isPolygon

    public static boolean isPolygon(int shapeType)

### createEsriPoly

    public static EsriGraphic createEsriPoly(int shapeType,
                                             float[] coords,
                                             int lineType,
                                             DrawingAttributes da)

### createEsriGraphicList

    public static EsriGraphicList createEsriGraphicList(int shapeType)

### createEsriPoly

    protected EsriGraphic createEsriPoly(int shapeType,
                                         double[] coords,
                                         int lineType)

  unimplemented until 4.7

  Parameters:
    `shapeType` -
    `coords` -
    `lineType` -
  Returns:

### getDataCoordTransformation

    public GeoCoordTransformation getDataCoordTransformation()

### setDataCoordTransformation

    public void setDataCoordTransformation(GeoCoordTransformation dataTrans)

### getLineType

    public int getLineType()

### setLineType

    public void setLineType(int lineType)

### getPrecision

    public java.lang.Class getPrecision()

### setPrecision

    public void setPrecision(java.lang.Class precision)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details